[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[tyndur-devel] [PATCH 11/11] build: Root-Dateisystem nach Volumenamen bestimmen
+ build: Volumenamen bei den generierten Dateisystemen setzen
+ config: AHCI-Treiber laden
* config: Das Root-Dateisystem nicht mehr auf einen bestimmten
Gerätepfad hartkodieren, sondern nach Volumenamen gehen. Dadurch kann
das gleiche Image jetzt sowohl von IDE als auch AHCI booten, und auch
bei mehreren CD-Laufwerken sollte das richtige gefunden werden.
Signed-off-by: Kevin Wolf <kevin@xxxxxxxxxx>
---
build/config/grub_cdrom.cfg | 4 ++--
build/config/grub_hd_kernel2.cfg | 6 ++++--
build/scripts/image_cdrom_grub1 | 2 +-
build/scripts/image_hd_grub1 | 2 +-
build/scripts/image_hd_grub2 | 2 +-
build/scripts/image_hd_syslinux | 2 +-
6 files changed, 10 insertions(+), 8 deletions(-)
diff --git a/build/config/grub_cdrom.cfg b/build/config/grub_cdrom.cfg
index 662a57f..6d12638 100644
--- a/build/config/grub_cdrom.cfg
+++ b/build/config/grub_cdrom.cfg
@@ -7,7 +7,7 @@ module /iso9660
module /ramoverlay
module /ext2
module /console servmgr:/term servmgr:/term
-module /servmgr ata:/cdrom|iso9660:/hd.img|ramoverlay:/cached|ext2:/ vterm:/vterm8/out ata iso9660 console ramoverlay ext2 pci
+module /servmgr dev:/fs/tyndur-cdrom/hd.img|ramoverlay:/cached|ext2:/ vterm:/vterm8/out ata iso9660 console ramoverlay ext2 pci
boot
title tyndur (English)
@@ -19,5 +19,5 @@ module /iso9660
module /ramoverlay
module /ext2
module /console servmgr:/term servmgr:/term
-module /servmgr ata:/cdrom|iso9660:/hd.img|ramoverlay:/cached|ext2:/ vterm:/vterm8/out ata iso9660 console ramoverlay ext2 pci
+module /servmgr dev:/fs/tyndur-cdrom/hd.img|ramoverlay:/cached|ext2:/ vterm:/vterm8/out ata iso9660 console ramoverlay ext2 pci
boot
diff --git a/build/config/grub_hd_kernel2.cfg b/build/config/grub_hd_kernel2.cfg
index 6de064b..6079e9c 100644
--- a/build/config/grub_hd_kernel2.cfg
+++ b/build/config/grub_hd_kernel2.cfg
@@ -3,9 +3,10 @@ kernel /boot/tyndur2 debug=s
module /modules/init boot=file:/
module /modules/pci
module /modules/ata
+module /modules/ahci
module /modules/ext2
module /modules/console servmgr:/term servmgr:/term
-module /modules/servmgr ata:/ata00_p0|ext2:/ vterm:/vterm8/out ata ext2 console pci
+module /modules/servmgr dev:/fs/tyndur-boot vterm:/vterm8/out ata ahci ext2 console pci
boot
title tyndur (English)
@@ -13,7 +14,8 @@ kernel /boot/tyndur2 debug=s
module /modules/init boot=file:/ env.LANG=en env.LC_ALL=en
module /modules/pci
module /modules/ata
+module /modules/ahci
module /modules/ext2
module /modules/console servmgr:/term servmgr:/term
-module /modules/servmgr ata:/ata00_p0|ext2:/ vterm:/vterm8/out ata ext2 console pci
+module /modules/servmgr dev:/fs/tyndur-boot vterm:/vterm8/out ata ahci ext2 console pci
boot
diff --git a/build/scripts/image_cdrom_grub1 b/build/scripts/image_cdrom_grub1
index 8cd20fd..1d6ea8c 100755
--- a/build/scripts/image_cdrom_grub1
+++ b/build/scripts/image_cdrom_grub1
@@ -134,7 +134,7 @@ fi
# CD-Image bauen
cp $FLOPPY_IMAGE_PATH $ROOT_CDROM
-mkisofs -b $(basename $FLOPPY_IMAGE_PATH) -m .svn -o $IMAGE_PATH $ROOT_CDROM
+mkisofs -V tyndur-cdrom -b $(basename $FLOPPY_IMAGE_PATH) -m .svn -o $IMAGE_PATH $ROOT_CDROM
rm $ROOT_CDROM/$(basename $FLOPPY_IMAGE_PATH)
echo "CD-Image erfolgreich erstellt!"
diff --git a/build/scripts/image_hd_grub1 b/build/scripts/image_hd_grub1
index 6f292432..7a793f7 100755
--- a/build/scripts/image_hd_grub1
+++ b/build/scripts/image_hd_grub1
@@ -75,7 +75,7 @@ if [ $NEW -ne 0 ]; then
fi
# Dateisystem erstellen
- $SUDO $LOST_TOOLS_MKE2FS -T ext2 -F -q $LOOP_DEV || die "Dateisystem konnte nicht erstellt werden"
+ $SUDO $LOST_TOOLS_MKE2FS -T ext2 -F -q $LOOP_DEV -L tyndur-boot || die "Dateisystem konnte nicht erstellt werden"
$SUDO losetup -d $LOOP_DEV
fi
diff --git a/build/scripts/image_hd_grub2 b/build/scripts/image_hd_grub2
index 8527ee1..9171289 100755
--- a/build/scripts/image_hd_grub2
+++ b/build/scripts/image_hd_grub2
@@ -102,7 +102,7 @@ if [ $NEW -ne 0 ]; then
fi
# Dateisystem erstellen
- $SUDO $LOST_TOOLS_MKE2FS -T ext2 -F -q $LOOP_DEV || die "Dateisystem konnte nicht erstellt werden"
+ $SUDO $LOST_TOOLS_MKE2FS -T ext2 -F -q $LOOP_DEV -L tyndur-boot || die "Dateisystem konnte nicht erstellt werden"
$SUDO losetup -d $LOOP_DEV
fi
diff --git a/build/scripts/image_hd_syslinux b/build/scripts/image_hd_syslinux
index a487920..5b4ec68 100755
--- a/build/scripts/image_hd_syslinux
+++ b/build/scripts/image_hd_syslinux
@@ -75,7 +75,7 @@ if [ $NEW -ne 0 ]; then
fi
# Dateisystem erstellen
- $SUDO $LOST_TOOLS_MKE2FS -T ext2 -F -q $LOOP_DEV || die "Dateisystem konnte nicht erstellt werden"
+ $SUDO $LOST_TOOLS_MKE2FS -T ext2 -F -q $LOOP_DEV -L tyndur-boot || die "Dateisystem konnte nicht erstellt werden"
$SUDO losetup -d $LOOP_DEV
fi
--
2.1.4